Get the visitor attributes JSON schema for an adaptive content site
Returns the JSON schema that defines the visitor attributes expected by an adaptive content site. Adaptive content uses these attributes (e.g., user role, plan tier) to conditionally show or hide content sections. Use this to understand what visitor data must be provided when rendering adaptive content.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$siteIdstringRequired
The unique id of the site
Responses
200
The JSON schema that defines the attributes expected from a visitor of the Adaptive content site.
application/json
objectstring · enumRequiredPossible values:
updatedAtstring · date-timeRequired
When the adaptive schema was updated.
404
No visitor attributes schema found for the site.
application/json
default
Unexpected Error
application/json
get/orgs/{organizationId}/sites/{siteId}/adaptive-schema
GET /v1/orgs/{organizationId}/sites/{siteId}/adaptive-schema HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"object": "site-adaptive-schema",
"jsonSchema": {
"regions": {
"ANY_ADDITIONAL_PROPERTY": {
"countries": [
"AD"
]
}
},
"$schema": "http://json-schema.org/draft-07/schema#",
"type": "object",
"properties": {
"unsigned": {
"type": "object",
"description": "Unsigned claims of the site visitor.",
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"type": "boolean",
"description": "text"
}
},
"additionalProperties": false
},
"ANY_ADDITIONAL_PROPERTY": {
"type": "boolean",
"description": "text"
}
},
"additionalProperties": false
},
"updatedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?